VOIKKOVFSTC(1)

NAME
voikkovfstc - compiler for Varissuo finite state transducers

SYNOPSIS
voikkovfstc -o filename [options]

DESCRIPTION
voikkovfstc is a compiler for Varissuo finite state transducers that are used as dictionaries for libvoikko, a library of language tools. The compiler reads the transducer from stdin in unweighted or weighted AT&T format.

OPTIONS

-o filename
    Specify name for output file.

-f format
    Specify format for output file. Possible formats are 'be' (big endian), 'le' (little endian) or 'native' (use the endianess of the host). Default is 'le'.

-w weight_type
    Produce weighted transducers instead of unweighted transducers. Input must be in weighted AT&T format. weight_type must be either 'prob' (probability weights) or 'log' (negative logarithm weights).

AUTHOR
voikkovfstc and this manual page were written by Harri Pitkänen (hatapitk@iki.fi).